GET /v4/paymentaudit/payouts

velopayments.com

Summary: Get Payouts for Payor
Operation ID: getPayoutsForPayorV4
Auth: unknown
Description

Get List of payouts for payor

Parameters (12)

fromPayorName (string, query, optional)

The name of the payor whose payees are being paid. This filters via a case insensitive substring match.

page (integer, query, optional, default: 1)

Page number. Default is 1.

pageSize (integer, query, optional, default: 25)

The number of results to return in a page

Constraints: {'minimum': 1, 'maximum': 100}

payorId (string, query, optional)

The id (UUID) of the payor funding the payout or the payor whose payees are being paid.

payoutMemo (string, query, optional)

Payout Memo filter - case insensitive sub-string match

scheduleStatus (string, query, optional)

Payout Schedule Status

Constraints: {'enum': ['ANY', 'SCHEDULED', 'EXECUTED', 'FAILED']}

scheduledForDateFrom (string, query, optional)

Filter payouts scheduled to run on or after the given date. Format is yyyy-MM-dd.

scheduledForDateTo (string, query, optional)

Filter payouts scheduled to run on or before the given date. Format is yyyy-MM-dd.

sort (string, query, optional)

List of sort fields (e.g. ?sort=submittedDateTime:asc,instructedDateTime:asc,status:asc) Default is submittedDateTime:asc The supported sort fields are: submittedDateTime, instructedDateTime, status, totalPayments, payoutId, scheduledFor

status (string, query, optional)

Payout Status

Constraints: {'enum': ['ACCEPTED', 'REJECTED', 'SUBMITTED', 'QUOTED', 'INSTRUCTED', 'COMPLETED', 'INCOMPLETE', 'CONFIRMED', 'WITHDRAWN']}

submittedDateFrom (string, query, optional)

The submitted date from range filter. Format is yyyy-MM-dd.

submittedDateTo (string, query, optional)

The submitted date to range filter. Format is yyyy-MM-dd.

No probe data for this endpoint yet.